=== debian/changelog ===
ros-foxy-rosbag2-compression (0.3.11-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Sat, 27 May 2023 00:00:00 -0000

ros-foxy-rosbag2-compression (0.3.10-1focal) focal; urgency=high

  * Check & create database dirs before writing bags (#1133 <https://github.com/ros2/rosbag2/issues/1133>)
  * Contributors: Homalozoa X

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 16 Mar 2023 00:00:00 -0000

ros-foxy-rosbag2-compression (0.3.9-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 03 Feb 2022 00:00:00 -0000

ros-foxy-rosbag2-compression (0.3.8-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 19 Jul 2021 00:00:00 -0000

ros-foxy-rosbag2-compression (0.3.7-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 15 Feb 2021 00:00:00 -0000

ros-foxy-rosbag2-compression (0.3.6-1focal) focal; urgency=high

  * Update maintainer list for Foxy (#551 <https://github.com/ros2/rosbag2/issues/551>)
  * Contributors: Michael Jeronimo

 -- Karsten Knese <karsten@openrobotics.org>  Tue, 05 Jan 2021 00:00:00 -0000

ros-foxy-rosbag2-compression (0.3.5-1focal) focal; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Mon, 31 Aug 2020 00:00:00 -0000

ros-foxy-rosbag2-compression (0.3.4-1focal) focal; urgency=high

  * Fix exception thrown given invalid arguments with compression enabled (#488 <https://github.com/ros2/rosbag2/issues/488>) (#489 <https://github.com/ros2/rosbag2/issues/489>)
  * Contributors: Devin Bonnie

 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Wed, 05 Aug 2020 00:00:00 -0000

ros-foxy-rosbag2-compression (0.3.3-1focal) focal; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Tue, 23 Jun 2020 00:00:00 -0000

ros-foxy-rosbag2-compression (0.3.2-1focal) focal; urgency=high

  * Add user provided split size to error message (#430 <https://github.com/ros2/rosbag2/issues/430>)
  * Contributors: Anas Abou Allaban

 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Wed, 03 Jun 2020 00:00:00 -0000

ros-foxy-rosbag2-compression (0.3.1-1focal) focal; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Mon, 01 Jun 2020 00:00:00 -0000

ros-foxy-rosbag2-compression (0.3.0-1focal) focal; urgency=high

  * Fix playback of compressed bagfiles (#417 <https://github.com/ros2/rosbag2/issues/417>)
  * Export targets (#403 <https://github.com/ros2/rosbag2/issues/403>)
  * Contributors: Emerson Knapp, Karsten Knese

 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Tue, 26 May 2020 00:00:00 -0000

ros-foxy-rosbag2-compression (0.2.8-1focal) focal; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Mon, 18 May 2020 00:00:00 -0000

ros-foxy-rosbag2-compression (0.2.7-1focal) focal; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Tue, 12 May 2020 00:00:00 -0000

ros-foxy-rosbag2-compression (0.2.6-1focal) focal; urgency=high

  * Remove relative include paths in rosbag2_compression tests (#405 <https://github.com/ros2/rosbag2/issues/405>)
  * Contributors: Karsten Knese, Zachary Michaels

 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Thu, 07 May 2020 00:00:00 -0000

ros-foxy-rosbag2-compression (0.2.5-1focal) focal; urgency=high

  * Don't fail build if lsan isn't available. (#397 <https://github.com/ros2/rosbag2/issues/397>)
  * Correctly set all test dependencies. (#392 <https://github.com/ros2/rosbag2/issues/392>)
  * Deduplicate code in SequentialCompressionReader. (#372 <https://github.com/ros2/rosbag2/issues/372>)
  * Add filter for reading selective topics. (#302 <https://github.com/ros2/rosbag2/issues/302>)
  * Add QoS profiles field to metadata struct and provide serialization utilities. (#330 <https://github.com/ros2/rosbag2/issues/330>)
  * Fix compression log logic. (#320 <https://github.com/ros2/rosbag2/issues/320>)
  * Fix throw in playback of split+compressed bagfiles. (#294 <https://github.com/ros2/rosbag2/issues/294>)
  * Refactor Compression Reader/Writers to use the CompressionFactory. (#315 <https://github.com/ros2/rosbag2/issues/315>)
  * Add compression factory implementation. (#313 <https://github.com/ros2/rosbag2/issues/313>)
  * Include stdexcept. (#314 <https://github.com/ros2/rosbag2/issues/314>)
  * Add compression factory stubs. (#311 <https://github.com/ros2/rosbag2/issues/311>)
  * Replace rcutils_get_file_size with rcpputils::fs::file_size. (#291 <https://github.com/ros2/rosbag2/issues/291>)
  * [compression] Enable compression through ros2bag cli. (#263 <https://github.com/ros2/rosbag2/issues/263>)
  * [compression] Close storage before compression. (#284 <https://github.com/ros2/rosbag2/issues/284>)
  * Improve logging in rosbag2_compression. (#287 <https://github.com/ros2/rosbag2/issues/287>)
  * Change validation functions to accept output type of ZSTD_getFrameContentSize. (#285 <https://github.com/ros2/rosbag2/issues/285>)
  * code style only: wrap after open parenthesis if not in one line. (#280 <https://github.com/ros2/rosbag2/issues/280>)
  * Add more assertions on rosbag2_compression. (#279 <https://github.com/ros2/rosbag2/issues/279>)
  * [compression] Add SequentialCompressionWriter. (#260 <https://github.com/ros2/rosbag2/issues/260>)
  * Add a SequentialCompressionReader. (#258 <https://github.com/ros2/rosbag2/issues/258>)
  * Move compression artifacts from rosbag2_cpp to rosbag2_compression. (#257 <https://github.com/ros2/rosbag2/issues/257>)
  * remove rosbag2 filesystem helper. (#249 <https://github.com/ros2/rosbag2/issues/249>)
  * [Compression - 8] Enable reader to read from compressed files/messages. (#246 <https://github.com/ros2/rosbag2/issues/246>)
  * [compression] Follow ROS2 style conventions better and throw eagerly. (#245 <https://github.com/ros2/rosbag2/issues/245>)

