=== debian/control ===
Source: ros-foxy-rosbag2-compression
Section: misc
Priority: optional
Maintainer: Karsten Knese <karsten@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-cmake-gmock <!nocheck>, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-rclcpp <!nocheck>, ros-foxy-rcpputils, ros-foxy-rcutils, ros-foxy-rosbag2-cpp, ros-foxy-rosbag2-storage, ros-foxy-rosbag2-test-common <!nocheck>, ros-foxy-zstd-vendor, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-rosbag2-compression
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-rcpputils, ros-foxy-rcutils, ros-foxy-rosbag2-cpp, ros-foxy-rosbag2-storage, ros-foxy-zstd-vendor, ros-foxy-ros-workspace
Description: Compression implementations for rosbag2 bags and messages.
